/*
	pak/V.java

	Copyright (C) 2002-2003 - Patrick Bernard (java2k@msn.com)

	This file is part of JEX.

	JEX is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.
	
	JEX is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with JEX; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/
package pak;

import java.io.*;

public class V
{
	PrintStream out;

	public void visit(A a) throws IOException
	{
		a.visitV(this);
	}
	public void visit(B b) throws IOException
	{
		b.visitV(this);
	}

	public V(PrintStream out)
	{
		this.out = out;
	}

	static public void main(String[] argv) throws IOException
	{
		V v = new V(System.out);
		v.visit(new A());
		v.visit(new B());
	}
}
